routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Order;
use Carbon\Carbon;

Route::get('/', 'HomeController@index')->name('home');
Route::get('contact', 'HomeController@contact')->name('contact');
Route::post('contact/info', 'ContactController@sentContact')->name('contact.sent');
Route::get('/clear', function() {
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    return "Cleared!";
});
Route::get('/access/karim007/job/start', function() {
    chdir('..');
    exec('php artisan queue:work --tries=2 &');
    return "queue is working background!";
});
Route::get('/access/karim007/live', function() {
    @unlink(storage_path().'/framework/down');
    return "Server in Live mode!";
});
Route::get('/karim007/access/maintain', function() {
    Artisan::call('down');
    return "Server in maintain mode!";
});

Route::get('/shop/{slug}','ShopController@postByShop')->name('shop.posts');
Route::post('/shop/search/area','ShopController@shopByArea')->name('shop.search');


/*map system all route*/
Route::post('location','LocationController@index')->name('getLocation');

Route::get('testing/map','LocationController@maps')->name('google.map');

//driver and shop owner registration

Route::get('rider/info', 'Driver\RegisterController@driverbasic')->name('driver.basic');
Route::get('rider/register', 'Driver\RegisterController@driveradd')->name('add.driver');
Route::post('store/rider', 'Driver\RegisterController@store')->name('store.driver');
Route::get('restaurant/info', 'Author\RegisterController@restaurantbasic')->name('restaurant.basic');
Route::get('restaurant/register', 'Author\RegisterController@restaurantadd')->name('add.restaurant');
Route::post('restaurant/store', 'Author\RegisterController@store')->name('store.restaurant');

//thanks page
Route::get('thanks/', 'HomeController@thanks')->name('registration.thanks');

Route::post('subscriber','SubscriberController@store')->name('subscriber.store');

Auth::routes();
Route::get('login/{facebook}', 'Auth\LoginController@redirectToProvider')->name('login.facebook');
Route::get('login/{facebook}/callback', 'Auth\LoginController@handleProviderCallback');

Route::get('login/{google}', 'Auth\LoginController@redirectToProvider')->name('login.google');
Route::get('login/{google}/callback', 'Auth\LoginController@handleProviderCallback');

//for shop all reviews load
Route::get('reviews/load/{id}', 'Auth\ReviewController@loadReviewPage')->name('load.reviews');

Route::group(['middleware'=>['history','auth']], function () {
    Route::post('favorite/{shop}/add','FavoriteController@add')->name('shop.favorite');
    Route::post('reviews/{post}','Auth\ReviewController@store')->name('review.store');
    Route::post('rating/shop','Auth\RatingsController@addnewrate')->name('rating.store');

    Route::post('/shipping', 'Auth\ShippingAddressController@store')->name('shipping.address.store');
    Route::post('/shipping/edit', 'Auth\ShippingAddressController@edit')->name('shipping.address.edit');

    Route::post('/charge', 'Auth\CartController@store')->name('order.store');//stripe

    Route::post('/paypal', 'Auth\CartController@paypal')->name('paypal.checkout');//paypal
    Route::get('/process', 'Auth\CartController@process')->name('paypal.process');//paypal
    Route::get('/cancel', 'Auth\CartController@cancal')->name('paypal.cancel');//paypal
});

Route::group(['as'=>'admin.','prefix'=>'admin','namespace'=>'Admin','middleware'=>['auth','admin','history']], function ()
{
    Route::get('dashboard','DashboardController@index')->name('dashboard');

    Route::get('settings','SettingsController@index')->name('settings');
    Route::put('profile-update','SettingsController@updateProfile')->name('profile.update');
    Route::put('password-update','SettingsController@updatePassword')->name('password.update');

    Route::get('admin-manage','AdminController@index')->name('admin.manage');
    Route::post('admin-block/{id}','AdminController@block')->name('admin.block');
    Route::post('admin-unblock/{id}','AdminController@unblock')->name('admin.unblock');

    //Location
    Route::get('location/city','LocationController@city')->name('city');
    Route::post('city/add','LocationController@addcity')->name('city.add');
    Route::put('city/update','LocationController@updateCity')->name('city.update');
    Route::delete('city/delete{id}','LocationController@destroyCity')->name('city.destroy');
    Route::get('location/state','LocationController@area')->name('areas');
    Route::post('state/add','LocationController@addarea')->name('area.add');
    Route::put('state/update','LocationController@updateArea')->name('area.update');
    Route::delete('state/delete{id}','LocationController@destroyArea')->name('area.destroy');

    Route::resource('category','CategoryController');
    Route::get('food-item','PostController@index')->name('post');

    Route::get('order-manage','OrderController@index')->name('order.driver.manage');
    Route::get('order-complete','OrderController@ordercomplete')->name('order.complete');
    Route::post('order/transaction','OrderController@transaction')->name('order.transaction');
    Route::get('order/transactions','OrderController@transactionpage')->name('page.transaction');
    //assign driver for order
    Route::post('request/driver','OrderController@requestDriver')->name('request.driver');
    Route::put('order/approve/{id}','OrderController@approveorder')->name('order.approve');


    Route::get('shops-manage','ShopController@index')->name('shop.manage');
    Route::post('shop-block/{id}','ShopController@block')->name('shop.block');
    Route::post('shop-unblock/{id}','ShopController@unblock')->name('shop.unblock');
    Route::get('shops/pending','ShopController@pendingshops')->name('pending.shops');
    Route::post('pending/shops/approve{id}','ShopController@shopapprove')->name('approve.shops');
    Route::delete('pending/shops/cancel{id}','ShopController@shopCancel')->name('cancel.shop');
    Route::get('shops/tax','ShopController@taxRate')->name('shops.tax');
    Route::post('shops/tax/update','ShopController@taxUpdate')->name('shops.tax.update');

    Route::get('driver-manage','DriverController@index')->name('driver.manage');
    Route::post('driver-block/{id}','DriverController@block')->name('driver.block');
    Route::post('driver-unblock/{id}','DriverController@unblock')->name('driver.unblock');
    Route::get('pending/drivers','DriverController@pendingdrivers')->name('pending.drivers');
    Route::put('pending/driver/approve{id}','DriverController@driverApprove')->name('approve.driver');
    Route::delete('pending/driver/cancel{id}','DriverController@driverCancel')->name('cancel.driver');

    //cash out controller
    Route::get('cashout/shop/request','CashoutController@shop')->name('cashout.request.shop');
    Route::get('cashout/driver/request','CashoutController@driver')->name('cashout.request.driver');

    Route::get('blocked/user','UserController@blockeduser')->name('user.blocked');
    Route::post('blocked/user/{id}','UserController@unblockeduser')->name('user.unblocked');


    Route::get('/subscriber','SubscriberController@index')->name('subscriber.index');
    Route::delete('/subscriber/{subscriber}','SubscriberController@destroy')->name('subscriber.destroy');

    Route::post('notification/seen','NotificationController@makeSeenOrder')->name('notification.seen');
    Route::view('notify','layouts.backend.inc.notifyadmin',[
        'orders' => Order::latest('created_at')->where('created_at','>=',Carbon::today())->get()
    ]);

});

Route::group(['as'=>'author.','prefix'=>'author','namespace'=>'Author','middleware'=>['auth','author','history']], function ()
{
    Route::get('dashboard','DashboardController@index')->name('dashboard');

    Route::get('account','AccountController@index')->name('account.info');
    Route::put('cashout/request','AccountController@cashout')->name('cashout.request');

    Route::get('settings','SettingsController@index')->name('settings');
    Route::put('profile-update','SettingsController@updateProfile')->name('profile.update');
    Route::post('password-update','SettingsController@updatePassword')->name('password.update');

    Route::get('shop','ShopController@index')->name('shopinfo');
    Route::put('shop-update','ShopController@updateShop')->name('shop.update');

    Route::resource('post','PostController');
    Route::resource('category','CategoryController');

    Route::get('order-manage','OrderController@index')->name('order.manage');
    Route::put('cooking/ready','OrderController@cookingReady')->name('cooking.ready');
    Route::put('shop/cooking/deliver','OrderController@cookingDeliver')->name('shop.cooking.deliver');
    Route::get('transactions','TransactionController@index')->name('transaction.history');

    Route::post('notification/seen','NotificationController@makeSeenOrder')->name('notification.seen');
    Route::view('notify','layouts.backend.inc.notifyshop',[
        'orders' => Order::latest('created_at')->where('created_at','>=',Carbon::today())->where('is_approved',1)->get()
    ]);

    Route::get('reviews','ReviewController@index')->name('review.index');

});

Route::group(['as'=>'driver.','prefix'=>'driver','namespace'=>'Driver','middleware'=>['auth','driver','history']], function ()
{
    Route::get('profile','DashboardController@index')->name('dashboard');
    Route::post('/profile/update','SettingsController@updateProfile')->name('update.profile');
    Route::post('/password/update','SettingsController@updatePassword')->name('update.password');

resources/views/admin/admin.blade.php
@extends('layouts.backend.app')

@section('title','Admin Manage')

@push('css')
    <!-- JQuery DataTable Css -->
    <link href="{{ asset('assets/backend/plugins/jquery-datatable/skin/bootstrap/css/dataTables.bootstrap.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="container-fluid">
        <!-- Exportable Table -->
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            ALL Admins
                            <span class="badge bg-blue">{{ $admins->count() }}</span>
                        </h2>
                    </div>
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Images</th>
                                    <th>Name</th>
                                    <th>User Name</th>
                                    <th>Email</th>
                                    <th>Phone Number</th>
                                    <th>Address</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tfoot>
                                <tr>
                                    <th>ID</th>
                                    <th>Images</th>
                                    <th>Name</th>
                                    <th>User Name</th>
                                    <th>Email</th>
                                    <th>Phone Number</th>
                                    <th>Address</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                                </tfoot>
                                <tbody>
                                @if ($admins->count() > 0)

                                @foreach($admins as $key=>$admin)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td><img src="{{ asset('public/storage/profile/'.$admin->image) }}" width="50px;" height="50px;"></td>
                                        <td>{{ $admin->name }}</td>
                                        <td>{{ $admin->username }}</td>
                                        <td>{{ $admin->email }}</td>
                                        <td>{{ $admin->phone_number }}</td>
                                        <td>{{ $admin->addressl1 }}</td>
                                        <td>
                                            @if ($admin->is_blocked == true)
                                                <p style="color: red">Blocked</p>
                                            @else
                                                <p style="color: green">Active</p>
                                            @endif
                                        </td>
                                        <td class="text-center">
                                            @if ($admin->is_blocked == true)
                                                <button class="btn btn-danger waves-effect" type="button" onclick="unblockUser({{ $admin->id }})">
                                                    Unblock
                                                </button>
                                                <form id="unblock-form-{{ $admin->id }}" action="{{ route('admin.admin.unblock',$admin->id) }}" method="POST" style="display: none;">
                                                    @csrf
                                                    @method('POST')
                                                </form>
                                            @else
                                                <button class="btn btn-success waves-effect" type="button" onclick="blockUser({{ $admin->id }})">
                                                    block
                                                </button>
                                                <form id="block-form-{{ $admin->id }}" action="{{ route('admin.admin.block',$admin->id) }}" method="POST" style="display: none;">
                                                    @csrf
                                                    @method('POST')
                                                </form>
                                            @endif


                                        </td>
                                    </tr>
                                @endforeach
                                @else
                                    <tr>
                                        <td colspan="7"><center><p style="color: green;">Have not any Admin</p></center></td>
                                    </tr>

                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Exportable Table -->
    </div>
@endsection

@push('js')
    <!-- Jquery DataTable Plugin Js -->
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/jquery.dataTables.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/skin/bootstrap/js/dataTables.bootstrap.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/jszip.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/pdfmake.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/vfs_fonts.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/buttons.print.min.js') }}"></script>

    <script src="{{ asset('assets/backend/js/pages/tables/jquery-datatable.js') }}"></script>
    <script src="https://unpkg.com/sweetalert2@7.19.1/dist/sweetalert2.all.js"></script>
    <script type="text/javascript">
        function unblockUser(id) {
            swal({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, unblock it!',
                cancelButtonText: 'No, cancel!',
                confirmButtonClass: 'btn btn-success',
                cancelButtonClass: 'btn btn-danger',
                buttonsStyling: false,
                reverseButtons: true
            }).then((result) => {
                if (result.value) {
                    event.preventDefault();
                    document.getElementById('unblock-form-'+id).submit();
                } else if (
                    // Read more about handling dismissals
                    result.dismiss === swal.DismissReason.cancel
                ) {
                    swal(
                        'Cancelled',
                        'Your data is safe :)',
                        'error'
                    )
                }
            })
        }
        function blockUser(id) {
            swal({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, unblock it!',
                cancelButtonText: 'No, cancel!',
                confirmButtonClass: 'btn btn-success',
                cancelButtonClass: 'btn btn-danger',
                buttonsStyling: false,
                reverseButtons: true
            }).then((result) => {
                if (result.value) {
                    event.preventDefault();
                    document.getElementById('block-form-'+id).submit();
                } else if (
                    // Read more about handling dismissals
                    result.dismiss === swal.DismissReason.cancel
                ) {
                    swal(
                        'Cancelled',
                        'Your data is safe :)',
                        'error'
                    )
                }
            })
        }
    </script>
@endpush

resources/views/admin/block.blade.php
@extends('layouts.backend.app')

@section('title','Blocked users')

@push('css')
    <!-- JQuery DataTable Css -->
    <link href="{{ asset('assets/backend/plugins/jquery-datatable/skin/bootstrap/css/dataTables.bootstrap.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="container-fluid">
        <!-- Exportable Table -->
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            ALL Blocked users
                            <span class="badge bg-blue">{{ $users->count() }}</span>
                        </h2>
                    </div>
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Role</th>
                                    <th>Email</th>
                                    <th>Phone Number</th>
                                    <th>Created At</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tfoot>
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Role</th>
                                    <th>Email</th>
                                    <th>Phone Number</th>
                                    <th>Created At</th>
                                    <th>Action</th>
                                </tr>
                                </tfoot>
                                <tbody>
                                @if ($users->count() > 0)

                                @foreach($users as $key=>$user)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td>{{ $user->name }}</td>
                                        <td>{{ $user->role->name }}</td>
                                        <td>{{ $user->email }}</td>
                                        <td>{{ $user->phone_number }}</td>
                                        <td>{{ $user->created_at }}</td>
                                        <td class="text-center">
                                            <button class="btn btn-danger waves-effect" type="button" onclick="unblockUser({{ $user->id }})">
                                                Unblock
                                            </button>
                                            <form id="unblock-form-{{ $user->id }}" action="{{ route('admin.user.unblocked',$user->id) }}" method="POST" style="display: none;">
                                                @csrf
                                                @method('POST')
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                                @else
                                    <tr>
                                        <td colspan="7"><center><p style="color: green;">Have not any blocked users</p></center></td>
                                    </tr>

                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Exportable Table -->
    </div>
@endsection

@push('js')
    <!-- Jquery DataTable Plugin Js -->
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/jquery.dataTables.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/skin/bootstrap/js/dataTables.bootstrap.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/jszip.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/pdfmake.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/vfs_fonts.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/buttons.print.min.js') }}"></script>

    <script src="{{ asset('assets/backend/js/pages/tables/jquery-datatable.js') }}"></script>
    <script src="https://unpkg.com/sweetalert2@7.19.1/dist/sweetalert2.all.js"></script>
    <script type="text/javascript">
        function unblockUser(id) {
            swal({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, unblock it!',
                cancelButtonText: 'No, cancel!',
                confirmButtonClass: 'btn btn-success',
                cancelButtonClass: 'btn btn-danger',
                buttonsStyling: false,
                reverseButtons: true
            }).then((result) => {
                if (result.value) {
                    event.preventDefault();
                    document.getElementById('unblock-form-'+id).submit();
                } else if (
                    // Read more about handling dismissals
                    result.dismiss === swal.DismissReason.cancel
                ) {
                    swal(
                        'Cancelled',
                        'Your data is safe :)',
                        'error'
                    )
                }
            })
        }
    </script>
@endpush

resources/views/admin/subscriber.blade.php
@extends('layouts.backend.app')

@section('title','Subscriber')

@push('css')
    <!-- JQuery DataTable Css -->
    <link href="{{ asset('assets/backend/plugins/jquery-datatable/skin/bootstrap/css/dataTables.bootstrap.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="container-fluid">
        <!-- Exportable Table -->
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            ALL Subscriber
                            <span class="badge bg-blue">{{ $subscribers->count() }}</span>
                        </h2>
                    </div>
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Email</th>
                                    <th>Created At</th>
                                    <th>Updated At</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tfoot>
                                <tr>
                                    <th>ID</th>
                                    <th>Email</th>
                                    <th>Created At</th>
                                    <th>Updated At</th>
                                    <th>Action</th>
                                </tr>
                                </tfoot>
                                <tbody>
                                @foreach($subscribers as $key=>$subscriber)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td>{{ $subscriber->email }}</td>
                                        <td>{{ $subscriber->created_at }}</td>
                                        <td>{{ $subscriber->updated_at }}</td>
                                        <td class="text-center">
                                            <button class="btn btn-danger waves-effect" type="button" onclick="deleteSubscriber({{ $subscriber->id }})">
                                                <i class="material-icons">delete</i>
                                            </button>
                                            <form id="delete-form-{{ $subscriber->id }}" action="{{ route('admin.subscriber.destroy',$subscriber->id) }}" method="POST" style="display: none;">
                                                @csrf
                                                @method('DELETE')
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Exportable Table -->
    </div>
@endsection

@push('js')
    <!-- Jquery DataTable Plugin Js -->
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/jquery.dataTables.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/skin/bootstrap/js/dataTables.bootstrap.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/jszip.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/pdfmake.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/vfs_fonts.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('assets/backend/plugins/jquery-datatable/extensions/export/buttons.print.min.js') }}"></script>

    <script src="{{ asset('assets/backend/js/pages/tables/jquery-datatable.js') }}"></script>
    <script src="https://unpkg.com/sweetalert2@7.19.1/dist/sweetalert2.all.js"></script>
    <script type="text/javascript">
        function deleteSubscriber(id) {
            swal({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete it!',
                cancelButtonText: 'No, cancel!',
                confirmButtonClass: 'btn btn-success',
                cancelButtonClass: 'btn btn-danger',
                buttonsStyling: false,
                reverseButtons: true
            }).then((result) => {
                if (result.value) {
                    event.preventDefault();
                    document.getElementById('delete-form-'+id).submit();
                } else if (
                    // Read more about handling dismissals
                    result.dismiss === swal.DismissReason.cancel
                ) {
                    swal(
                        'Cancelled',
                        'Your data is safe :)',
                        'error'
                    )
                }
            })
        }
    </script>
@endpush